[experiment] Add a UITour API to close the current tab and return to the previous page
We need a UITour API to invoke during the last step of the TP tour, to make it close the current tab and return to the previous page, instead of restarting the tour.